%define version	1.1
%define rel	3
%define prerel	0

%if %{prerel}
%define release %mkrel -c %prerel %rel
%define srcname %{name}-%{version}%{prerel}
%else
%define release %mkrel %rel
%define srcname %{name}-%{version}
%endif

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	%{version}
Release:	%{release}
Url:		http://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{srcname}.tar.gz
# Plugins:
Source1:	http://users.musicbrainz.org/~luks/picard-plugins/classicdiscnumber.py
Source2:	http://users.musicbrainz.org/~luks/picard-plugins/coverart.py
Source3:	http://users.musicbrainz.org/~luks/picard-plugins/cuesheet.py
Source4:	http://users.musicbrainz.org/~luks/picard-plugins/discnumber.py
Source5:	http://users.musicbrainz.org/~luks/picard-plugins/featartist.py
Source6:	http://users.musicbrainz.org/~luks/picard-plugins/open_in_gui.py
Source7:	http://users.musicbrainz.org/~luks/picard-plugins/swapprefix.py
Source8:	http://users.musicbrainz.org/~luks/picard-plugins/titlecase.py
Source9:	http://users.musicbrainz.org/~luks/picard-plugins/tracks2clipboard.py
# lastfm plugin 
Source10:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/lastfm__init__.py
Source11:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/options_lastfm.ui
Source12:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/ui_options_lastfm.py
# replaygain plugin
Source13:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/__init__.py
Source14:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/options_replaygain.ui
Source15:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/ui_options_replaygain.py
Source16:	http://gitorious.org/musicbrainz/addrelease/blobs/raw/master/addrelease.py
Source17:	http://users.musicbrainz.org/~luks/picard-plugins/release_type.py
Source18:	http://users.musicbrainz.org/~luks/picard-plugins/featartistsintitles.py
Source19:	http://users.musicbrainz.org/~luks/picard-plugins/no_release.py
Source20:	http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titleversion.py
Source21:	http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titlesort.py
Source22:	https://github.com/voiceinsideyou/picard/raw/plugins/contrib/plugins/removeperfectalbums.py
Source23:	https://raw.github.com/encukou/picard-plugins/master/autosave.py
# http://forums.musicbrainz.org/viewtopic.php?id=2949
Source24:	lastfmplus-0.13.zip
# search plugins https://github.com/brianfreud/Picard-plugins
Source25:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchAMG.py
Source26:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchDiscogs3.py
Source27:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchAmazon3.py
Source28:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchCastAlbums3.py
Source29:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchFilmMusziek3.py
Source30:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchGMR.py
Source31:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchGoogle3.py
Source32:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchLortelArchives3.py
Source33:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchSoundtrackCollector3.py
Source34:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchSoundtrackINFO3.py
Source35:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchEbay.py

Patch0:		picard-1.1-ffmpeg0.11.patch

License:	GPLv2+
Group:		Sound/Utilities
BuildRequires:	python-devel
BuildRequires:	mutagen
BuildRequires:	libdiscid-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libofa-devel
Requires:	mutagen
Requires:	python-qt4
Requires:	%{mklibname discid 0}
#gw for metaflac:
Suggests:	flac
#gw for fpcalc (AcoustID calculation)
Suggests:	chromaprint
#gw for wvgain:
Suggests:	wavpack
Suggests:	mp3gain

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%setup -q -n %{srcname}
%apply_patches

%build
python setup.py config
python setup.py build

%install
python setup.py install --root=%{buildroot}

PLUGINDIR=%{buildroot}%{python_sitearch}/picard/plugins/
install -m 0644 %{SOURCE1} ${PLUGINDIR}
install -m 0644 %{SOURCE2} ${PLUGINDIR}
install -m 0644 %{SOURCE3} ${PLUGINDIR}
install -m 0644 %{SOURCE4} ${PLUGINDIR}
install -m 0644 %{SOURCE5} ${PLUGINDIR}
install -m 0644 %{SOURCE6} ${PLUGINDIR}
install -m 0644 %{SOURCE7} ${PLUGINDIR}
install -m 0644 %{SOURCE8} ${PLUGINDIR}
install -m 0644 %{SOURCE9} ${PLUGINDIR}
mkdir -p ${PLUGINDIR}/lastfm
install -m 0644 %{SOURCE10} ${PLUGINDIR}/lastfm/__init__.py
install -m 0644 %{SOURCE11} ${PLUGINDIR}/lastfm/
install -m 0644 %{SOURCE12} ${PLUGINDIR}/lastfm/
mkdir -p ${PLUGINDIR}/replaygain
install -m 0644 %{SOURCE13} ${PLUGINDIR}/replaygain/__init__.py
install -m 0644 %{SOURCE14} ${PLUGINDIR}/replaygain/
install -m 0644 %{SOURCE15} ${PLUGINDIR}/replaygain/
install -m 0644 %{SOURCE16} ${PLUGINDIR}
install -m 0644 %{SOURCE17} ${PLUGINDIR}
install -m 0644 %{SOURCE18} ${PLUGINDIR}
install -m 0644 %{SOURCE19} ${PLUGINDIR}
install -m 0644 %{SOURCE20} ${PLUGINDIR}
install -m 0644 %{SOURCE21} ${PLUGINDIR}
install -m 0644 %{SOURCE22} ${PLUGINDIR}
install -m 0644 %{SOURCE23} ${PLUGINDIR}
unzip %{SOURCE24} -d ${PLUGINDIR}
install -m 0644 %{SOURCE25} ${PLUGINDIR}
install -m 0644 %{SOURCE26} ${PLUGINDIR}
install -m 0644 %{SOURCE27} ${PLUGINDIR}
install -m 0644 %{SOURCE28} ${PLUGINDIR}
install -m 0644 %{SOURCE29} ${PLUGINDIR}
install -m 0644 %{SOURCE30} ${PLUGINDIR}
install -m 0644 %{SOURCE31} ${PLUGINDIR}
install -m 0644 %{SOURCE32} ${PLUGINDIR}
install -m 0644 %{SOURCE33} ${PLUGINDIR}
install -m 0644 %{SOURCE34} ${PLUGINDIR}
install -m 0644 %{SOURCE35} ${PLUGINDIR}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS.txt COPYING.txt INSTALL.txt NEWS.txt
%{_bindir}/%{name}
%{python_sitearch}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 377684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1-2.mga3
+ Revision: 341737
- rebuild for new ffmpeg

  + dams <dams>
    - clean specfile

* Mon Oct 22 2012 gw666 <gw666> 1.1-1.mga3
+ Revision: 309178
- fix rpm package group
- new version 1.1
- update the patch 0
- update several plugins:
 * replaygain
 * last.fm
 * coverart
 * featartists
- new plugins:
 * all available search plugins
 * remove perfect albums
 * featartists in titles
 * titleversion
 * last.fm plus
 * no release
 * release type
 * title sort
 * add release
- suggest tools needed by replaygain and acoustID calculation plugins

* Sun Jun 03 2012 fwang <fwang> 1.0-1.mga3
+ Revision: 253561
- fix build with latest ffmpeg
- new version 1.0

* Mon Nov 28 2011 pterjan <pterjan> 0.16-1.mga2
+ Revision: 173968
- Update to 0.16

* Sat Jun 25 2011 fwang <fwang> 0.15-0.beta2.2.mga2
+ Revision: 113491
- fix build with new ffmpeg
- rebuil dfor new ffmpeg

* Thu Jun 16 2011 ahmad <ahmad> 0.15-0.beta2.1.mga2
+ Revision: 108040
- imported package picard

